# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=libsky-qt5
_pkgname=Sky
pkgver=1.8.1
pkgrel=0
pkgdesc="Application kit designed for multimedia software"
subpackages=("$pkgname-dev")
url="http://omega.gg/Sky"
arch=('amd64')
license=("LGPLv3")
source=(
	"0001-add-qt5-dbus-dep.patch"
	"0002-SkGui-add-private-qt-headers.patch"
	"$pkgname-$pkgver.tar.gz::https://github.com/omega-gg/Sky/archive/refs/tags/$pkgver.tar.gz"
)

# note: openssl <= 1.1.1
depends=("libqt5core5a" "libqt5qml5" "libqt5xmlpatterns5" "qt5-image-formats-plugins" "libqt5x11extras5" "libqt5svg5" "libqt5multimedia5" "libqt5dbus5" "openssl" "qml-module-qtquick2" "libvlc5" "libboost-system1.74.0" "libtorrent21" "libquazip5-1")
makedepends=("qtbase5-dev" "qtdeclarative5-dev" "qtdeclarative5-private-dev" "qtbase5-private-dev" "libqt5xmlpatterns5-dev" "libqt5svg5-dev" "qtmultimedia5-dev" "libqt5x11extras5-dev" "qtquickcontrols2-5-dev" "libqt5dbus5" "libvlc-dev" "libboost1.74-dev" "libtorrent-dev" "libtorrent-rasterbar-dev" "libquazip5-dev")

prepare() {
	cd $_pkgname-$pkgver
	patch -p1 < "$srcdir/0001-add-qt5-dbus-dep.patch"
	patch -p1 < "$srcdir/0002-SkGui-add-private-qt-headers.patch"
}

build() {
	cd $_pkgname-$pkgver
	qmake
	make PREFIX="/usr"
}

package() {
	cd $_pkgname-$pkgver
	find lib -type f -exec install -Dm644 "{}" "$pkgdir/usr/{}" \;
	find bin -type f -exec install -Dm755 "{}" "$pkgdir/usr/{}" \;

	# Remove leftovers
	rm -r "$pkgdir/usr/lib/.gitignore"
	rm -r "$pkgdir/usr/bin/.gitignore"


	# FIXME: should be in dev package
	find include -type f -exec install -Dm644 "{}" "$pkgdir/usr/{}" \;

	# Remove leftovers
	rm -r "$pkgdir/usr/include/3rdparty"

}

dev() {
	cd $_pkgname-$pkgver
	find include -type f -exec install -Dm644 "{}" "$pkgdir/usr/{}" \;

	# Remove leftovers
	rm -r "$pkgdir/usr/include/3rdparty"
}

sha256sums=('58de5078fa0c943ba26a55da1f2893faf101e1f84b679799a641fb28cade2525'
            '983f702b5b0c261801c27bdc1bc82178cddfadefe59adce6704e41083516a835'
            'f5091c4d3ce6d663646fed2ca0a4c52a7086d19330b510a5a57dc0e6b1fbbffb')
